=== debian/changelog ===
klevernotes (1.1.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectures where Qt 6 WebEngine is available.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Dec 2024 23:32:37 +0100

klevernotes (1.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1086664)

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Nov 2024 20:20:17 +0100
