## klevernotes 1.2.1

=== debian/changelog ===
klevernotes (1.2.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.1).

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Mar 2025 23:40:39 +0100

klevernotes (1.2.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Mar 2025 12:04:30 +0100
