## klevernotes 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # SPDX-License-Identifier: BSD-3-Clause
-# SPDX-FileCopyrightText: 2022 Louis Schul <schul9louis@gmail.com>
+# SPDX-FileCopyrightText: 2022-2025 Louis Schul <schul9louis@gmail.com>
 
 cmake_minimum_required(VERSION 3.16)
 
-project(klevernotes VERSION "1.1.0")
+project(klevernotes VERSION "1.2.2")
 
 include(FeatureSummary)
 
 set(QT_MIN_VERSION "6.5")
-set(KF_MIN_VERSION "6.0")
+set(KF_MIN_VERSION "6.4")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -50,7 +50,8 @@
     CoreAddons
     Config
     I18n
-    ConfigWidgets
+    ColorScheme
+    IconThemes
     KIO
 )
