=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: BSD-3-Clause
-# SPDX-FileCopyrightText: 2022-2024 Louis Schul <schul9louis@gmail.com>
+# SPDX-FileCopyrightText: 2022-2025 Louis Schul <schul9louis@gmail.com>
 
 add_library(klevernoteslib STATIC
     app.cpp
@@ -18,17 +18,6 @@
     logic/editor/posCacheUtils.cpp
     logic/editor/editorTextManipulation.cpp
 
-    # Painting
-    logic/painting/pointMaker.cpp
-    logic/painting/sketchserializer.cpp
-    logic/painting/sketchview.cpp
-    logic/painting/strokeitem.cpp
-    logic/painting/strokelistitem.cpp
-    logic/painting/strokepainter.cpp
-    logic/painting/pressureequation.cpp
-    logic/painting/sketchmodel.cpp
-    logic/painting/stroke.cpp
-
     # Printing
     logic/printing/printingHelper.cpp
 
@@ -36,7 +25,10 @@
     logic/preview/styleHandler.cpp
 
     # Treeview
-    logic/treeview/noteTreeModel.cpp
+    logic/treeview/treeItem.cpp
+    logic/treeview/treeModel.cpp
+    logic/treeview/oldModelConverter.cpp
+    logic/treeview/fileSystemHelper.cpp
 
     # === PARSER ===
     logic/parser/parser.cpp
@@ -84,8 +76,9 @@
     KF6::CoreAddons
     KF6::ConfigCore
     KF6::ConfigGui
-    KF6::ConfigWidgets
-    KF6::KIOCore 
+    KF6::ColorScheme
+    KF6::KIOCore
+    KF6::IconThemes
 )
 
 add_executable(klevernotes main.cpp resources.qrc)
