=== debian/changelog ===
klevernotes (1.2.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.2).
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 25 Apr 2025 22:39:18 +0200
