=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
                kirigami-addons-dev (>= 1.0.0~),
+               libcups2-dev,
                libkf6colorscheme-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +23,7 @@
                qt6-webengine-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/office/klevernotes
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/klevernotes
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/klevernotes.git
