## klevernotes 1.2.3

=== debian/changelog ===
klevernotes (1.2.3-0zneon+24.04+noble+release+build8) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:26:22 +0000

klevernotes (1.2.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 00:43:50 +0000

klevernotes (1.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Mar 2025 00:43:31 +0000

klevernotes (1.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Mar 2025 00:43:31 +0000

klevernotes (1.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Oct 2024 00:43:35 +0000

klevernotes (1.0.0-1neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Mon, 29 Apr 2024 12:36:01 +1000
