=== debian/control ===
Source: klevernotes
Section: kde
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/klevernotes.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/klevernotes
Maintainer: Neon CI <neon@kde.org>

Package: klevernotes
Architecture: any
Section: utils
Depends: qt6-webengine, ${misc:Depends}, ${shlibs:Depends}
Description: KleverNotes is a note taking and management 
 application for your mobile and desktop devices. 
 .
 It uses markdown and allow you to preview your content.  
 Different Markdown flavors are supported thanks to its 
 custom Markdown parser based Marked.js, which make the 
 integration of "plugins" and new features even easier.
 .
 This package is part of the KDE office module.
