## klevernotes 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(klevernotes VERSION "1.2.2")
+project(klevernotes VERSION "1.2.4")
 
 include(FeatureSummary)
 
-set(QT_MIN_VERSION "6.5")
-set(KF_MIN_VERSION "6.4")
+set(QT_MIN_VERSION "6.6")
+set(KF_MIN_VERSION "6.8")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -19,12 +19,15 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
+include(ECMSetupVersion)
+include(KDEClangFormat)
 include(KDECompilerSettings NO_POLICY_SCOPE)
-include(ECMSetupVersion)
-include(ECMGenerateHeaders)
-include(KDEClangFormat)
+include(ECMQtDeclareLoggingCategory)
 include(KDEGitCommitHooks)
+include(ECMAddAppIcon)
 include(ECMAddTests)
+include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KLEVER
