=== debian/changelog ===
klevernotes (1.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not build on armhf any more as builds on that architecture fail
    due to memory constraints.

 -- Patrick Franz <deltaone@debian.org>  Sat, 11 Oct 2025 13:44:27 +0200

klevernotes (1.2.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.4).
  * Update build-deps and deps with the info from cmake.
  * Update QML-overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 Oct 2025 23:10:33 +0200
