=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/klevernotes/([\d.]+)/@PACKAGE@-([\d.]+).tar.xz
