## klevernotes 1.2.4+p24.04+vstable+git20251015.1249

=== debian/changelog ===
klevernotes (1.2.4+p24.04+vstable+git20251015.1249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:49:04 +0000

klevernotes (1.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 09:58:54 +0000
