## klevernotes 1.2.5

=== debian/changelog ===
klevernotes (1.2.5-1build2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:54:09 +0000

klevernotes (1.2.5-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:12:40 +0000

klevernotes (1.2.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.5).

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 12:27:45 +0100
