=== debian/control ===
Source: klevernotes
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev (>= 1.0.0~),
               libcups2-dev,
               libkf6colorscheme-dev (>= 6.8.0~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6iconthemes-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/office/klevernotes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/klevernotes
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/klevernotes.git
Rules-Requires-Root: no

Package: klevernotes
Architecture: amd64 arm64 i386
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: note taking and management application
 KleverNotes is a note taking and management application.
 for your mobile and desktop devices. It uses markdown and
 allows you to preview your content.
 .
 Different versions of Markdown are supported thanks to the
 md4qt parser. This parser allows text plugins to extend
 Markdown parsing, enabling the creation of KleverNotes "plugins".
