## klevernotes 1.2.5+p24.04+vstable+git20260107.0902

=== debian/changelog ===
klevernotes (1.2.5+p24.04+vstable+git20260107.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:02:37 +0000

klevernotes (1.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 09:58:54 +0000
