## klevernotes 1.2.5+p24.04+vunstable+git20251113.1203

=== debian/changelog ===
klevernotes (1.2.5+p24.04+vunstable+git20251113.1203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 12:03:16 +0000
